Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfLineBreakType

    java.lang.Object
      java.lang.Enum<OdfLineBreakType>
          org.odftoolkit.odfdom.dom.type.style.OdfLineBreakType

All Implemented Interfaces:
  Serializable, Comparable<OdfLineBreakType>

    public enum OdfLineBreakType

extends Enum<OdfLineBreakType>

DOM implementation of OpenDocument attribute style:line-break.

Enum Constant Summary
`NORMAL`
`STRICT`

Method Summary
`static OdfLineBreakType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLineBreakType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLineBreakType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLineBreakType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRICT

    public static final OdfLineBreakType STRICT

### NORMAL

    public static final OdfLineBreakType NORMAL

Method Detail

### values

    public static OdfLineBreakType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLineBreakType c : OdfLineBreakType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLineBreakType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLineBreakType>`
  Returns:
    return the name of OdfLineBreakType

### toString

    public static String toString(OdfLineBreakType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLineBreakType, see style:line-break
  Returns:
    return the name of OdfLineBreakType

### enumValueOf

    public static OdfLineBreakType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLineBreakType
  Returns:
    return the constant of OdfLineBreakType, see style:line-break

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.